Bug 514803 - dell-laptop confused about rfkill status
dell-laptop confused about rfkill status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-07-30 16:05 EDT by Bastien Nocera
Modified: 2013-01-10 03:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 00:18:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-07-30 16:05:06 EDT
kernel-2.6.31-0.68.rc3.fc12.i586
(I'd test with something newer if it booted...)

Using the rfkill command from:
http://git.sipsolutions.net/gitweb.cgi?p=rfkill.git;a=summary

(with unneeded switches removed)
$ ./rfkill list
6: dell-bluetooth: Bluetooth
	Soft blocked: no
	Hard blocked: no

$ ./rfkill block 6
$ ./rfkill unblock 6
$ ./rfkill list
6: dell-bluetooth: Bluetooth
	Soft blocked: no
	Hard blocked: yes
Comment 1 Matthew Garrett 2009-07-31 00:18:18 EDT
Fixed in the next rawhide kernel.

Note You need to log in before you can comment on or make changes to this bug.